#include <sled/system/fiber/wait_group.h>
#include <sled/system/thread_pool.h>
#include <sled/testing/benchmark.h>

static void
ThreadPoolBench(picobench::state &state)
{
    sled::ThreadPool pool(-1);
    for (auto _ : state) {
        auto res = pool.BlockingCall([]() { return 1; });
        (void) res;
    }
}

// BENCHMARK(ThreadPoolBench)->RangeMultiplier(10)->Range(10, 10000);
PICOBENCH_SUITE("TheadPool");
PICOBENCH(ThreadPoolBench);
